"use strict";

const {
  browsersList
} = require('@bubble-dev/browsers-list');

exports.babelConfigWebLib = {
  babelrc: false,
  sourceMaps: true,
  presets: [[require.resolve('@babel/preset-env'), {
    targets: {
      browsers: browsersList
    },
    ignoreBrowserslistConfig: true,
    modules: false,
    exclude: ['@babel/plugin-transform-regenerator', '@babel/plugin-transform-async-to-generator']
  }], require.resolve('@babel/preset-react'), require.resolve('@babel/preset-typescript')],
  plugins: [[require.resolve('@babel/plugin-transform-runtime'), {
    regenerator: false
  }], require.resolve('@babel/plugin-syntax-bigint')]
};
exports.babelConfigWebApp = {
  babelrc: false,
  sourceMaps: true,
  presets: [[require.resolve('@babel/preset-env'), {
    targets: {
      browsers: browsersList
    },
    ignoreBrowserslistConfig: true,
    modules: false,
    useBuiltIns: 'usage',
    corejs: 3,
    exclude: ['@babel/plugin-transform-regenerator', '@babel/plugin-transform-async-to-generator']
  }], require.resolve('@babel/preset-react'), require.resolve('@babel/preset-typescript')],
  plugins: [[require.resolve('@babel/plugin-transform-runtime'), {
    regenerator: false
  }], require.resolve('@babel/plugin-syntax-bigint')],
  shouldPrintComment: val => val.startsWith(' webpackChunkName')
};